Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## umontreal.iro.lecuyer.contactcenters.app.params
Enum PerPeriodCollectingMode

    java.lang.Object
      java.lang.Enum<PerPeriodCollectingMode>
          umontreal.iro.lecuyer.contactcenters.app.params.PerPeriodCollectingMode

All Implemented Interfaces:
  Serializable, Comparable<PerPeriodCollectingMode>

    public enum PerPeriodCollectingMode

extends Enum<PerPeriodCollectingMode>

Java class for PerPeriodCollectingMode.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="PerPeriodCollectingMode">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="PERIODOFENTRY"/>
         <enumeration value="PERIODOFEXIT"/>
         <enumeration value="PERIODOFBEGINSERVICEORENTRY"/>
         <enumeration value="PERIODOFBEGINSERVICEOREXIT"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`PERIODOFBEGINSERVICEORENTRY` All events concerning a contact are counted in the period at which the service begins.
`PERIODOFBEGINSERVICEOREXIT` All events concerning a contact are counted in the period at which the service begins.
`PERIODOFENTRY` All events concerning a contact are counted in the period of its arrival in the system.
`PERIODOFEXIT` All events concerning a contact are counted in the period of its exit (end of service, abandonment, or blocking).

Method Summary
`static PerPeriodCollectingMode` | `fromValue(String v)`
`String` | `value()`
`static PerPeriodCollectingMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PerPeriodCollectingMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PERIODOFENTRY

    public static final PerPeriodCollectingMode PERIODOFENTRY

  All events concerning a contact are counted in the period of its arrival in the system.

### PERIODOFEXIT

    public static final PerPeriodCollectingMode PERIODOFEXIT

  All events concerning a contact are counted in the period of its exit (end of service, abandonment, or blocking).

### PERIODOFBEGINSERVICEORENTRY

    public static final PerPeriodCollectingMode PERIODOFBEGINSERVICEORENTRY

  All events concerning a contact are counted in the period at which the service begins. Events concerning unserved contacts are counted in the period of arrival.

### PERIODOFBEGINSERVICEOREXIT

    public static final PerPeriodCollectingMode PERIODOFBEGINSERVICEOREXIT

  All events concerning a contact are counted in the period at which the service begins. Events concerning unserved contacts are counted in the period of exit (abandonment or blocking).

Method Detail

### values

    public static PerPeriodCollectingMode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PerPeriodCollectingMode c : PerPeriodCollectingMode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PerPeriodCollectingMode valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static PerPeriodCollectingMode fromValue(String v)

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.